package com.mortals.xhx.module.certificate.model;
import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.certificate.model.vo.CertificateCatalogTemplateVo;
import lombok.Data;
/**
 * 证照目录模板实体对象
 *
 * @author zxfei
 * @date 2023-05-24
 */
@Data
public class CertificateCatalogTemplateEntity extends CertificateCatalogTemplateVo {
    private static final long serialVersionUID = 1L;

    /**
     * 站点id
     */
    private Long siteId;
    /**
     * 目录id
     */
    private Long catalogId;
    /**
     * 证照模板名称
     */
    private String templateName;
    /**
     * 模板类型1普通2正本3副本
     */
    private Integer templateType;
    /**
     * 证照模板文件名称
     */
    private String templateFileName;
    /**
     * 证照模板文件地址
     */
    private String templateFileUrl;
    /**
     * 证照模板表单内容
     */
    private String formContent;
    /**
     * 证照示例图地址
     */
    private String exampleFileUrl;
    /**
     * 证照状态，0：禁用1：启用
     */
    private Integer status;
    /**
     * 批量导入模板文件地址
     */
    private String excelFile;
    /**
     * 是否生成PDF，0：否1：是
     */
    private Integer isPdf;
    /**
     * 打印设备Id
     */
    private Long deviceId;
    /**
     * 打印机名称
     */
    private String printerName;
    /**
     * 打印机网络地址
     */
    private String printerIp;
    /**
     * 打印机纸盒
     */
    private String paperSource;
    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof CertificateCatalogTemplateEntity) {
            CertificateCatalogTemplateEntity tmp = (CertificateCatalogTemplateEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public void initAttrValue(){

        this.siteId = -1L;

        this.catalogId = -1L;

        this.templateName = "";

        this.templateType = 0;

        this.templateFileName = "";

        this.templateFileUrl = "";

        this.formContent = "";

        this.exampleFileUrl = "";

        this.status = 1;

        this.excelFile = "";

        this.isPdf = 0;

        this.deviceId = -1L;

        this.printerName = "";

        this.printerIp = "";

        this.paperSource = "";
    }
}