package com.mortals.xhx.module.certificate.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.certificate.model.vo.DeviceClassifyVo;
/**
 * 证照分类设备配置实体对象
 *
 * @author zxfei
 * @date 2023-05-14
 */

public class DeviceClassifyEntity extends DeviceClassifyVo {
    private static final long serialVersionUID = 1L;

    /**
     * 设备编码
     */
    private String deviceCode;
    /**
     * 设备名称
     */
    private String deviceName;
    /**
     * 设备允许显示的分类
     */
    private String classifyIds;
    /**
     * 站点id
     */
    private Long siteId;



    public DeviceClassifyEntity(){}
    /**
     * 获取 设备编码
     * @return String
     */
    public String getDeviceCode(){
        return deviceCode;
    }
    /**
     * 设置 设备编码
     * @param deviceCode
     */
    public void setDeviceCode(String deviceCode){
        this.deviceCode = deviceCode;
    }
    /**
     * 获取 设备名称
     * @return String
     */
    public String getDeviceName(){
        return deviceName;
    }
    /**
     * 设置 设备名称
     * @param deviceName
     */
    public void setDeviceName(String deviceName){
        this.deviceName = deviceName;
    }
    /**
     * 获取 设备允许显示的分类
     * @return String
     */
    public String getClassifyIds(){
        return classifyIds;
    }
    /**
     * 设置 设备允许显示的分类
     * @param classifyIds
     */
    public void setClassifyIds(String classifyIds){
        this.classifyIds = classifyIds;
    }
    /**
     * 获取 站点id
     * @return Long
     */
    public Long getSiteId(){
        return siteId;
    }
    /**
     * 设置 站点id
     * @param siteId
     */
    public void setSiteId(Long siteId){
        this.siteId = siteId;
    }




    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof DeviceClassifyEntity) {
            DeviceClassifyEntity tmp = (DeviceClassifyEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",deviceCode:").append(getDeviceCode());
        sb.append(",deviceName:").append(getDeviceName());
        sb.append(",classifyIds:").append(getClassifyIds());
        sb.append(",siteId:").append(getSiteId());
        return sb.toString();
    }

    public void initAttrValue(){

        this.deviceCode = "";

        this.deviceName = "";

        this.classifyIds = "";

        this.siteId = null;
    }
}