package com.mortals.xhx.module.child.model;
import java.util.List;
import java.util.Date;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.child.model.vo.ChildLicenseVo;
import com.mortals.xhx.module.child.model.ChildLicenseDatasetEntity;
import lombok.Data;
/**
 * 行业许可子证实体对象
 *
 * @author zxfei
 * @date 2024-07-27
 */
@Data
public class ChildLicenseEntity extends ChildLicenseVo {
    private static final long serialVersionUID = 1L;

    /**
     * 市场主体名称
     */
    private String marketEntityName;
    /**
     * 许可证编号
     */
    private String licenseCode;
    /**
     * 法定代表人（负责人）
     */
    private String legalPersonName;
    /**
     * 统一社会信用代码
     */
    private String creditCode;
    /**
     * 制证日期
     */
    private Date productLicenseTime;
    /**
     * 证件二维码
     */
    private String certQRCode;
    /**
     * 链接地址
     */
    private String url;
    /**
     * 制证机关
     */
    private String certAuthority;
    /**
     * 经营场所
     */
    private String businessPlace;
    /**
     * 许可项目
     */
    private String licensedItems;
    /**
     * 文件名称
     */
    private String fileName;
    /**
     * 文件相对路径地址
     */
    private String filePath;
    /**
     * 简介
     */
    private String summary;
    /**
     * 备注
     */
    private String remark;
    /**
     * 站点Id
     */
    private Long siteId;
    /**
     * 站点名称
     */
    private String siteName;
    /**
     * 行业许可子证数据集信息
     */
    private List<ChildLicenseDatasetEntity> childLicenseDatasetList=new ArrayList<>();;
    public List<ChildLicenseDatasetEntity> getChildLicenseDatasetList(){
        return childLicenseDatasetList;
    }

    public void setChildLicenseDatasetList(List<ChildLicenseDatasetEntity> childLicenseDatasetList){
        this.childLicenseDatasetList = childLicenseDatasetList;
    }
    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof ChildLicenseEntity) {
            ChildLicenseEntity tmp = (ChildLicenseEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
        this.marketEntityName = "";
        this.licenseCode = "";
        this.legalPersonName = "";
        this.creditCode = "";
        this.productLicenseTime = null;
        this.certQRCode = "";
        this.url = "";
        this.certAuthority = "";
        this.businessPlace = "";
        this.licensedItems = "";
        this.fileName = "";
        this.filePath = "";
        this.summary = "";
        this.remark = "";
        this.siteId = null;
        this.siteName = "";
    }
}