package com.mortals.xhx.module.child.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.child.model.vo.ChildLicenseInfoFieldVo;
import lombok.Data;
/**
* 行业许可子证信息字段实体对象
*
* @author zxfei
* @date 2024-07-27
*/
@Data
public class ChildLicenseInfoFieldEntity extends ChildLicenseInfoFieldVo {
    private static final long serialVersionUID = 1L;

    /**
    * 子证数据集Id
    */
    private Long datasetId;
    /**
    * 字段编码
    */
    private String fieldCode;
    /**
    * 字段名称
    */
    private String fieldName;
    /**
    * 字段类型（input.单行输入框,textarea.多行输入框,SELECT.下拉选项框,date.日期选择框）
    */
    private String fieldType;
    /**
    * 字段类型值，当字段类型为多选，单选时候，预设复选值
    */
    private String fieldTypeValue;
    /**
    * 数据类型（number.数字,string.字符串）
    */
    private String dataType;
    /**
    * 字段值
    */
    private String fieldValue;
    /**
    * 字段默认值
    */
    private String defaultValue;
    /**
    * 数据长度，默认128
    */
    private Integer fieldLen;
    /**
    * 是否允许为空，(0.否,1.是)
    */
    private Integer fieldNull;
    /**
    * 字段是否列表显示(0.否,1.是)
    */
    private Integer isList;
    /**
    * 排序号
    */
    private Integer fieldOrderNo;
    /**
    * 事件服务接口请求地址
    */
    private String serviceApi;
    /**
    * 事件服务接口请求参数
    */
    private String serviceApiParams;
    /**
    * 备注
    */
    private String remark;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof ChildLicenseInfoFieldEntity) {
            ChildLicenseInfoFieldEntity tmp = (ChildLicenseInfoFieldEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.datasetId = null;
            this.fieldCode = "";
            this.fieldName = "";
            this.fieldType = "";
            this.fieldTypeValue = "";
            this.dataType = "string";
            this.fieldValue = "";
            this.defaultValue = "";
            this.fieldLen = 128;
            this.fieldNull = 1;
            this.isList = 0;
            this.fieldOrderNo = 0;
            this.serviceApi = "";
            this.serviceApiParams = "";
            this.remark = "";
    }
}