package com.mortals.xhx.module.child.web;
import cn.hutool.core.collection.ListUtil;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.PageInfo;
import com.mortals.framework.model.Result;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.module.child.model.ChildLicenseDatasetQuery;
import com.mortals.xhx.module.child.model.ChildLicenseInfoFieldEntity;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.ObjectUtils;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.child.model.ChildLicenseDatasetEntity;
import com.mortals.xhx.module.child.service.ChildLicenseDatasetService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;

import java.util.*;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
import com.mortals.xhx.common.code.*;
/**
*
* 行业许可子证数据集
*
* @author zxfei
* @date 2024-07-27
*/
@RestController
@RequestMapping("child/license/dataset")
public class ChildLicenseDatasetController extends BaseCRUDJsonBodyMappingController<ChildLicenseDatasetService,ChildLicenseDatasetEntity,Long> {

    @Autowired
    private ParamService paramService;

    public ChildLicenseDatasetController(){
        super.setModuleDesc( "行业许可子证数据集");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        super.init(model, context);
    }

    @Override
    protected void doListBefore(ChildLicenseDatasetEntity query, Map<String, Object> model, Context context) throws AppException {
        if (!ObjectUtils.isEmpty(query.getOrConditionList()) || !ObjectUtils.isEmpty(query.getAndConditionList())) {
            ChildLicenseDatasetQuery appDatasetQuery = new ChildLicenseDatasetQuery();

            if (!ObjectUtils.isEmpty(query.getAndConditionList())) {
                appDatasetQuery.setOrConditionList(query.getAndConditionList());
            }

            if (!ObjectUtils.isEmpty(query.getOrConditionList())) {
                appDatasetQuery.setOrConditionList(query.getOrConditionList());
                appDatasetQuery.setAppId(query.getAppId());
                appDatasetQuery.setOrderCols(query.getOrderCols());
                PageInfo pageInfo = this.buildPageInfo(query);
                Result<ChildLicenseInfoFieldEntity> customResult = this.service.findCustomList(appDatasetQuery, pageInfo, context);
                //根据查询条件的数量去除数量不足的结果
                int count = query.getOrConditionList().size();
                List<Long> datasetIdList = customResult.getList().stream().map(item -> item.getDatasetId()).collect(Collectors.toList());
                Map<Long, Long> collect = datasetIdList.stream().collect(Collectors.groupingBy(x -> x, Collectors.counting()));
                List<Long> dataSets = collect.entrySet().stream().map(entrySet -> {
                    if (entrySet.getValue() == count) {
                        return entrySet.getKey();
                    } else {
                        return null;
                    }
                }).filter(f -> f != null).collect(Collectors.toList());


                if (!ObjectUtils.isEmpty(dataSets)) {
                    //排序-
                    List<Long> orderList = new ArrayList<>();
                    for (Long dataId : datasetIdList) {
                        if(dataSets.contains(dataId)){
                            orderList.add(dataId);
                        }
                    }
                    query.setIdList(orderList);
                } else {
                    query.setIdList(ListUtil.toList(0L));
                }
                query.setOrConditionList(null);
            }
        }

        if (!ObjectUtils.isEmpty(query.getFieldCode()) || !ObjectUtils.isEmpty(query.getFieldName())) {
            ChildLicenseDatasetQuery appDatasetQuery = new ChildLicenseDatasetQuery();
            appDatasetQuery.setFieldCode(query.getFieldCode());
            appDatasetQuery.setFieldName(query.getFieldName());
            appDatasetQuery.setAppId(query.getAppId());
//            String fieldValue = StrUtil.addPrefixIfNot(query.getFieldValue(), "%");
//            fieldValue = StrUtil.addSuffixIfNot(fieldValue, "%");
            appDatasetQuery.setFieldValue(query.getFieldValue());
            PageInfo pageInfo = this.buildPageInfo(query);
            Result<ChildLicenseInfoFieldEntity> customResult = this.service.findCustomList(appDatasetQuery, pageInfo, context);
            List<Long> datasetIdList = customResult.getList().stream().map(item -> item.getDatasetId()).collect(Collectors.toList());
            if (!ObjectUtils.isEmpty(datasetIdList)) {
                query.setIdList(datasetIdList);
                //query.setOrderColList();
            } else {
                query.setIdList(ListUtil.toList(0L));
            }
        }
        super.doListBefore(query, model, context);
    }

}