package com.mortals.xhx.module.dimension.model;

import java.util.List;
/**
 * 角色资源维度规则查询对象
 *
 * @author zxfei
 * @date 2024-05-22
 */
public class DimensionResourceRuleQuery extends DimensionResourceRuleEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 角色ID */
    private Long roleIdStart;

    /** 结束 角色ID */
    private Long roleIdEnd;

    /** 增加 角色ID */
    private Long roleIdIncrement;

    /** 角色ID列表 */
    private List <Long> roleIdList;

    /** 角色ID排除列表 */
    private List <Long> roleIdNotList;

    /** 开始 资源ID */
    private Long resourceIdStart;

    /** 结束 资源ID */
    private Long resourceIdEnd;

    /** 增加 资源ID */
    private Long resourceIdIncrement;

    /** 资源ID列表 */
    private List <Long> resourceIdList;

    /** 资源ID排除列表 */
    private List <Long> resourceIdNotList;

    /** 规则编码 */
    private List<String> ruleCodeList;

    /** 规则编码排除列表 */
    private List <String> ruleCodeNotList;
    /** 规则名称 */
    private List<String> ruleNameList;

    /** 规则名称排除列表 */
    private List <String> ruleNameNotList;
    /** 规则条件(IN.属于,<.小于,>.大于,=.等于,!=.不等于,>=.大于等于,<=.小于等于,like %.左模糊,like %.右模糊) */
    private List<String> ruleConditionList;

    /** 规则条件(IN.属于,<.小于,>.大于,=.等于,!=.不等于,>=.大于等于,<=.小于等于,like %.左模糊,like %.右模糊)排除列表 */
    private List <String> ruleConditionNotList;
    /** 规则值,固定值或者系统变量 */
    private List<String> ruleValueList;

    /** 规则值,固定值或者系统变量排除列表 */
    private List <String> ruleValueNotList;
    /** 开始 规则值类型(1.固定值,2.系统上下问变量) */
    private Integer ruleTypeStart;

    /** 结束 规则值类型(1.固定值,2.系统上下问变量) */
    private Integer ruleTypeEnd;

    /** 增加 规则值类型(1.固定值,2.系统上下问变量) */
    private Integer ruleTypeIncrement;

    /** 规则值类型(1.固定值,2.系统上下问变量)列表 */
    private List <Integer> ruleTypeList;

    /** 规则值类型(1.固定值,2.系统上下问变量)排除列表 */
    private List <Integer> ruleTypeNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 角色名称 */
    private List<String> roleNameList;

    /** 角色名称排除列表 */
    private List <String> roleNameNotList;
    /** 资源名称 */
    private List<String> resourceNameList;

    /** 资源名称排除列表 */
    private List <String> resourceNameNotList;
    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<DimensionResourceRuleQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<DimensionResourceRuleQuery> andConditionList;

    public DimensionResourceRuleQuery(){}

    /**
     * 获取 开始 序号，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 序号，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 序号，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 开始 角色ID
     * @return roleIdStart
     */
    public Long getRoleIdStart(){
        return this.roleIdStart;
    }

    /**
     * 设置 开始 角色ID
     * @param roleIdStart
     */
    public void setRoleIdStart(Long roleIdStart){
        this.roleIdStart = roleIdStart;
    }

    /**
     * 获取 结束 角色ID
     * @return $roleIdEnd
     */
    public Long getRoleIdEnd(){
        return this.roleIdEnd;
    }

    /**
     * 设置 结束 角色ID
     * @param roleIdEnd
     */
    public void setRoleIdEnd(Long roleIdEnd){
        this.roleIdEnd = roleIdEnd;
    }

    /**
     * 获取 增加 角色ID
     * @return roleIdIncrement
     */
    public Long getRoleIdIncrement(){
        return this.roleIdIncrement;
    }

    /**
     * 设置 增加 角色ID
     * @param roleIdIncrement
     */
    public void setRoleIdIncrement(Long roleIdIncrement){
        this.roleIdIncrement = roleIdIncrement;
    }

    /**
     * 获取 角色ID
     * @return roleIdList
     */
    public List<Long> getRoleIdList(){
        return this.roleIdList;
    }

    /**
     * 设置 角色ID
     * @param roleIdList
     */
    public void setRoleIdList(List<Long> roleIdList){
        this.roleIdList = roleIdList;
    }

    /**
     * 获取 角色ID
     * @return roleIdNotList
     */
    public List<Long> getRoleIdNotList(){
        return this.roleIdNotList;
    }

    /**
     * 设置 角色ID
     * @param roleIdNotList
     */
    public void setRoleIdNotList(List<Long> roleIdNotList){
        this.roleIdNotList = roleIdNotList;
    }


    /**
     * 获取 开始 资源ID
     * @return resourceIdStart
     */
    public Long getResourceIdStart(){
        return this.resourceIdStart;
    }

    /**
     * 设置 开始 资源ID
     * @param resourceIdStart
     */
    public void setResourceIdStart(Long resourceIdStart){
        this.resourceIdStart = resourceIdStart;
    }

    /**
     * 获取 结束 资源ID
     * @return $resourceIdEnd
     */
    public Long getResourceIdEnd(){
        return this.resourceIdEnd;
    }

    /**
     * 设置 结束 资源ID
     * @param resourceIdEnd
     */
    public void setResourceIdEnd(Long resourceIdEnd){
        this.resourceIdEnd = resourceIdEnd;
    }

    /**
     * 获取 增加 资源ID
     * @return resourceIdIncrement
     */
    public Long getResourceIdIncrement(){
        return this.resourceIdIncrement;
    }

    /**
     * 设置 增加 资源ID
     * @param resourceIdIncrement
     */
    public void setResourceIdIncrement(Long resourceIdIncrement){
        this.resourceIdIncrement = resourceIdIncrement;
    }

    /**
     * 获取 资源ID
     * @return resourceIdList
     */
    public List<Long> getResourceIdList(){
        return this.resourceIdList;
    }

    /**
     * 设置 资源ID
     * @param resourceIdList
     */
    public void setResourceIdList(List<Long> resourceIdList){
        this.resourceIdList = resourceIdList;
    }

    /**
     * 获取 资源ID
     * @return resourceIdNotList
     */
    public List<Long> getResourceIdNotList(){
        return this.resourceIdNotList;
    }

    /**
     * 设置 资源ID
     * @param resourceIdNotList
     */
    public void setResourceIdNotList(List<Long> resourceIdNotList){
        this.resourceIdNotList = resourceIdNotList;
    }


    /**
     * 获取 规则编码
     * @return ruleCodeList
     */
    public List<String> getRuleCodeList(){
        return this.ruleCodeList;
    }

    /**
     * 设置 规则编码
     * @param ruleCodeList
     */
    public void setRuleCodeList(List<String> ruleCodeList){
        this.ruleCodeList = ruleCodeList;
    }

    /**
     * 获取 规则编码
     * @return ruleCodeNotList
     */
    public List<String> getRuleCodeNotList(){
        return this.ruleCodeNotList;
    }

    /**
     * 设置 规则编码
     * @param ruleCodeNotList
     */
    public void setRuleCodeNotList(List<String> ruleCodeNotList){
        this.ruleCodeNotList = ruleCodeNotList;
    }

    /**
     * 获取 规则名称
     * @return ruleNameList
     */
    public List<String> getRuleNameList(){
        return this.ruleNameList;
    }

    /**
     * 设置 规则名称
     * @param ruleNameList
     */
    public void setRuleNameList(List<String> ruleNameList){
        this.ruleNameList = ruleNameList;
    }

    /**
     * 获取 规则名称
     * @return ruleNameNotList
     */
    public List<String> getRuleNameNotList(){
        return this.ruleNameNotList;
    }

    /**
     * 设置 规则名称
     * @param ruleNameNotList
     */
    public void setRuleNameNotList(List<String> ruleNameNotList){
        this.ruleNameNotList = ruleNameNotList;
    }

    /**
     * 获取 规则条件(IN.属于,<.小于,>.大于,=.等于,!=.不等于,>=.大于等于,<=.小于等于,like %.左模糊,like %.右模糊)
     * @return ruleConditionList
     */
    public List<String> getRuleConditionList(){
        return this.ruleConditionList;
    }

    /**
     * 设置 规则条件(IN.属于,<.小于,>.大于,=.等于,!=.不等于,>=.大于等于,<=.小于等于,like %.左模糊,like %.右模糊)
     * @param ruleConditionList
     */
    public void setRuleConditionList(List<String> ruleConditionList){
        this.ruleConditionList = ruleConditionList;
    }

    /**
     * 获取 规则条件(IN.属于,<.小于,>.大于,=.等于,!=.不等于,>=.大于等于,<=.小于等于,like %.左模糊,like %.右模糊)
     * @return ruleConditionNotList
     */
    public List<String> getRuleConditionNotList(){
        return this.ruleConditionNotList;
    }

    /**
     * 设置 规则条件(IN.属于,<.小于,>.大于,=.等于,!=.不等于,>=.大于等于,<=.小于等于,like %.左模糊,like %.右模糊)
     * @param ruleConditionNotList
     */
    public void setRuleConditionNotList(List<String> ruleConditionNotList){
        this.ruleConditionNotList = ruleConditionNotList;
    }

    /**
     * 获取 规则值,固定值或者系统变量
     * @return ruleValueList
     */
    public List<String> getRuleValueList(){
        return this.ruleValueList;
    }

    /**
     * 设置 规则值,固定值或者系统变量
     * @param ruleValueList
     */
    public void setRuleValueList(List<String> ruleValueList){
        this.ruleValueList = ruleValueList;
    }

    /**
     * 获取 规则值,固定值或者系统变量
     * @return ruleValueNotList
     */
    public List<String> getRuleValueNotList(){
        return this.ruleValueNotList;
    }

    /**
     * 设置 规则值,固定值或者系统变量
     * @param ruleValueNotList
     */
    public void setRuleValueNotList(List<String> ruleValueNotList){
        this.ruleValueNotList = ruleValueNotList;
    }

    /**
     * 获取 开始 规则值类型(1.固定值,2.系统上下问变量)
     * @return ruleTypeStart
     */
    public Integer getRuleTypeStart(){
        return this.ruleTypeStart;
    }

    /**
     * 设置 开始 规则值类型(1.固定值,2.系统上下问变量)
     * @param ruleTypeStart
     */
    public void setRuleTypeStart(Integer ruleTypeStart){
        this.ruleTypeStart = ruleTypeStart;
    }

    /**
     * 获取 结束 规则值类型(1.固定值,2.系统上下问变量)
     * @return $ruleTypeEnd
     */
    public Integer getRuleTypeEnd(){
        return this.ruleTypeEnd;
    }

    /**
     * 设置 结束 规则值类型(1.固定值,2.系统上下问变量)
     * @param ruleTypeEnd
     */
    public void setRuleTypeEnd(Integer ruleTypeEnd){
        this.ruleTypeEnd = ruleTypeEnd;
    }

    /**
     * 获取 增加 规则值类型(1.固定值,2.系统上下问变量)
     * @return ruleTypeIncrement
     */
    public Integer getRuleTypeIncrement(){
        return this.ruleTypeIncrement;
    }

    /**
     * 设置 增加 规则值类型(1.固定值,2.系统上下问变量)
     * @param ruleTypeIncrement
     */
    public void setRuleTypeIncrement(Integer ruleTypeIncrement){
        this.ruleTypeIncrement = ruleTypeIncrement;
    }

    /**
     * 获取 规则值类型(1.固定值,2.系统上下问变量)
     * @return ruleTypeList
     */
    public List<Integer> getRuleTypeList(){
        return this.ruleTypeList;
    }

    /**
     * 设置 规则值类型(1.固定值,2.系统上下问变量)
     * @param ruleTypeList
     */
    public void setRuleTypeList(List<Integer> ruleTypeList){
        this.ruleTypeList = ruleTypeList;
    }

    /**
     * 获取 规则值类型(1.固定值,2.系统上下问变量)
     * @return ruleTypeNotList
     */
    public List<Integer> getRuleTypeNotList(){
        return this.ruleTypeNotList;
    }

    /**
     * 设置 规则值类型(1.固定值,2.系统上下问变量)
     * @param ruleTypeNotList
     */
    public void setRuleTypeNotList(List<Integer> ruleTypeNotList){
        this.ruleTypeNotList = ruleTypeNotList;
    }


    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建用户
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 开始 更新用户
     * @return updateUserIdStart
     */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
     * 获取 结束 更新用户
     * @return $updateUserIdEnd
     */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
     * 获取 增加 更新用户
     * @return updateUserIdIncrement
     */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdList
     */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdNotList
     */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 获取 角色名称
     * @return roleNameList
     */
    public List<String> getRoleNameList(){
        return this.roleNameList;
    }

    /**
     * 设置 角色名称
     * @param roleNameList
     */
    public void setRoleNameList(List<String> roleNameList){
        this.roleNameList = roleNameList;
    }

    /**
     * 获取 角色名称
     * @return roleNameNotList
     */
    public List<String> getRoleNameNotList(){
        return this.roleNameNotList;
    }

    /**
     * 设置 角色名称
     * @param roleNameNotList
     */
    public void setRoleNameNotList(List<String> roleNameNotList){
        this.roleNameNotList = roleNameNotList;
    }

    /**
     * 获取 资源名称
     * @return resourceNameList
     */
    public List<String> getResourceNameList(){
        return this.resourceNameList;
    }

    /**
     * 设置 资源名称
     * @param resourceNameList
     */
    public void setResourceNameList(List<String> resourceNameList){
        this.resourceNameList = resourceNameList;
    }

    /**
     * 获取 资源名称
     * @return resourceNameNotList
     */
    public List<String> getResourceNameNotList(){
        return this.resourceNameNotList;
    }

    /**
     * 设置 资源名称
     * @param resourceNameNotList
     */
    public void setResourceNameNotList(List<String> resourceNameNotList){
        this.resourceNameNotList = resourceNameNotList;
    }

    /**
     * 设置  序号，主键，自增长
     * @param id
     */
    public DimensionResourceRuleQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public DimensionResourceRuleQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public DimensionResourceRuleQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public DimensionResourceRuleQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public DimensionResourceRuleQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public DimensionResourceRuleQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }

    /**
     * 设置  角色ID
     * @param roleId
     */
    public DimensionResourceRuleQuery roleId(Long roleId){
        setRoleId(roleId);
        return this;
    }

    /**
     * 设置 开始 角色ID
     * @param roleIdStart
     */
    public DimensionResourceRuleQuery roleIdStart(Long roleIdStart){
        this.roleIdStart = roleIdStart;
        return this;
    }

    /**
     * 设置 结束 角色ID
     * @param roleIdEnd
     */
    public DimensionResourceRuleQuery roleIdEnd(Long roleIdEnd){
        this.roleIdEnd = roleIdEnd;
        return this;
    }

    /**
     * 设置 增加 角色ID
     * @param roleIdIncrement
     */
    public DimensionResourceRuleQuery roleIdIncrement(Long roleIdIncrement){
        this.roleIdIncrement = roleIdIncrement;
        return this;
    }

    /**
     * 设置 角色ID
     * @param roleIdList
     */
    public DimensionResourceRuleQuery roleIdList(List<Long> roleIdList){
        this.roleIdList = roleIdList;
        return this;
    }

    /**
     * 设置 角色ID
     * @param roleIdNotList
     */
    public DimensionResourceRuleQuery roleIdNotList(List<Long> roleIdNotList){
        this.roleIdNotList = roleIdNotList;
        return this;
    }

    /**
     * 设置  资源ID
     * @param resourceId
     */
    public DimensionResourceRuleQuery resourceId(Long resourceId){
        setResourceId(resourceId);
        return this;
    }

    /**
     * 设置 开始 资源ID
     * @param resourceIdStart
     */
    public DimensionResourceRuleQuery resourceIdStart(Long resourceIdStart){
        this.resourceIdStart = resourceIdStart;
        return this;
    }

    /**
     * 设置 结束 资源ID
     * @param resourceIdEnd
     */
    public DimensionResourceRuleQuery resourceIdEnd(Long resourceIdEnd){
        this.resourceIdEnd = resourceIdEnd;
        return this;
    }

    /**
     * 设置 增加 资源ID
     * @param resourceIdIncrement
     */
    public DimensionResourceRuleQuery resourceIdIncrement(Long resourceIdIncrement){
        this.resourceIdIncrement = resourceIdIncrement;
        return this;
    }

    /**
     * 设置 资源ID
     * @param resourceIdList
     */
    public DimensionResourceRuleQuery resourceIdList(List<Long> resourceIdList){
        this.resourceIdList = resourceIdList;
        return this;
    }

    /**
     * 设置 资源ID
     * @param resourceIdNotList
     */
    public DimensionResourceRuleQuery resourceIdNotList(List<Long> resourceIdNotList){
        this.resourceIdNotList = resourceIdNotList;
        return this;
    }


    /**
     * 设置 规则编码
     * @param ruleCode
     */
    public DimensionResourceRuleQuery ruleCode(String ruleCode){
        setRuleCode(ruleCode);
        return this;
    }

    /**
     * 设置 规则编码
     * @param ruleCodeList
     */
    public DimensionResourceRuleQuery ruleCodeList(List<String> ruleCodeList){
        this.ruleCodeList = ruleCodeList;
        return this;
    }


    /**
     * 设置 规则名称
     * @param ruleName
     */
    public DimensionResourceRuleQuery ruleName(String ruleName){
        setRuleName(ruleName);
        return this;
    }

    /**
     * 设置 规则名称
     * @param ruleNameList
     */
    public DimensionResourceRuleQuery ruleNameList(List<String> ruleNameList){
        this.ruleNameList = ruleNameList;
        return this;
    }


    /**
     * 设置 规则条件(IN.属于,<.小于,>.大于,=.等于,!=.不等于,>=.大于等于,<=.小于等于,like %.左模糊,like %.右模糊)
     * @param ruleCondition
     */
    public DimensionResourceRuleQuery ruleCondition(String ruleCondition){
        setRuleCondition(ruleCondition);
        return this;
    }

    /**
     * 设置 规则条件(IN.属于,<.小于,>.大于,=.等于,!=.不等于,>=.大于等于,<=.小于等于,like %.左模糊,like %.右模糊)
     * @param ruleConditionList
     */
    public DimensionResourceRuleQuery ruleConditionList(List<String> ruleConditionList){
        this.ruleConditionList = ruleConditionList;
        return this;
    }


    /**
     * 设置 规则值,固定值或者系统变量
     * @param ruleValue
     */
    public DimensionResourceRuleQuery ruleValue(String ruleValue){
        setRuleValue(ruleValue);
        return this;
    }

    /**
     * 设置 规则值,固定值或者系统变量
     * @param ruleValueList
     */
    public DimensionResourceRuleQuery ruleValueList(List<String> ruleValueList){
        this.ruleValueList = ruleValueList;
        return this;
    }

    /**
     * 设置  规则值类型(1.固定值,2.系统上下问变量)
     * @param ruleType
     */
    public DimensionResourceRuleQuery ruleType(Integer ruleType){
        setRuleType(ruleType);
        return this;
    }

    /**
     * 设置 开始 规则值类型(1.固定值,2.系统上下问变量)
     * @param ruleTypeStart
     */
    public DimensionResourceRuleQuery ruleTypeStart(Integer ruleTypeStart){
        this.ruleTypeStart = ruleTypeStart;
        return this;
    }

    /**
     * 设置 结束 规则值类型(1.固定值,2.系统上下问变量)
     * @param ruleTypeEnd
     */
    public DimensionResourceRuleQuery ruleTypeEnd(Integer ruleTypeEnd){
        this.ruleTypeEnd = ruleTypeEnd;
        return this;
    }

    /**
     * 设置 增加 规则值类型(1.固定值,2.系统上下问变量)
     * @param ruleTypeIncrement
     */
    public DimensionResourceRuleQuery ruleTypeIncrement(Integer ruleTypeIncrement){
        this.ruleTypeIncrement = ruleTypeIncrement;
        return this;
    }

    /**
     * 设置 规则值类型(1.固定值,2.系统上下问变量)
     * @param ruleTypeList
     */
    public DimensionResourceRuleQuery ruleTypeList(List<Integer> ruleTypeList){
        this.ruleTypeList = ruleTypeList;
        return this;
    }

    /**
     * 设置 规则值类型(1.固定值,2.系统上下问变量)
     * @param ruleTypeNotList
     */
    public DimensionResourceRuleQuery ruleTypeNotList(List<Integer> ruleTypeNotList){
        this.ruleTypeNotList = ruleTypeNotList;
        return this;
    }


    /**
     * 设置  创建用户
     * @param createUserId
     */
    public DimensionResourceRuleQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public DimensionResourceRuleQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public DimensionResourceRuleQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public DimensionResourceRuleQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public DimensionResourceRuleQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public DimensionResourceRuleQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }

    /**
     * 设置  更新用户
     * @param updateUserId
     */
    public DimensionResourceRuleQuery updateUserId(Long updateUserId){
        setUpdateUserId(updateUserId);
        return this;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public DimensionResourceRuleQuery updateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
        return this;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public DimensionResourceRuleQuery updateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public DimensionResourceRuleQuery updateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public DimensionResourceRuleQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public DimensionResourceRuleQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
    }



    /**
     * 设置 角色名称
     * @param roleName
     */
    public DimensionResourceRuleQuery roleName(String roleName){
        setRoleName(roleName);
        return this;
    }

    /**
     * 设置 角色名称
     * @param roleNameList
     */
    public DimensionResourceRuleQuery roleNameList(List<String> roleNameList){
        this.roleNameList = roleNameList;
        return this;
    }


    /**
     * 设置 资源名称
     * @param resourceName
     */
    public DimensionResourceRuleQuery resourceName(String resourceName){
        setResourceName(resourceName);
        return this;
    }

    /**
     * 设置 资源名称
     * @param resourceNameList
     */
    public DimensionResourceRuleQuery resourceNameList(List<String> resourceNameList){
        this.resourceNameList = resourceNameList;
        return this;
    }

    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<DimensionResourceRuleQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<DimensionResourceRuleQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<DimensionResourceRuleQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<DimensionResourceRuleQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}